// BUILDING M COLLISION OBJECTS - all convex polyhedra

// TOP
POLYGON     pg3_0_m_clsn_Mtop[]
START
	4, 2, 0,
	3, 5, 1,
	6, 4, 0,
	5, 7, 1,
	8, 6, 0,
	7, 9, 1,
	10, 8, 0,
	9, 11, 1,
	12, 10, 0,
	11, 13, 1,
	2, 12, 0,
	13, 3, 1,
END

POLYGON     pg4_0_m_clsn_Mtop[]
START
	2, 4, 3, 5,
	4, 6, 5, 7,
	6, 8, 7, 9,
	8, 10, 9, 11,
	10, 12, 11, 13,
	12, 2, 13, 3,
END

MESHSET     meshset_m_clsn_Mtop[]
START

MESHSTART
TypeMatId ( 0x0000, 0 ),
MeshNum     12,
Meshes      pg3_0_m_clsn_Mtop,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

MESHSTART
TypeMatId ( 0x4000, 0 ),
MeshNum     6,
Meshes      pg4_0_m_clsn_Mtop,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

END

POINT       point_m_clsn_Mtop[]
START
	VERT( -2.150461F, 352.115784F,  0.000000F ),
	VERT( -2.150461F, 551.076233F,  0.000000F ),
	VERT( 221.566803F, 352.115784F, -105.852036F ),
	VERT( 221.566803F, 551.076233F, -105.852036F ),
	VERT( 99.627037F, 352.115784F, -206.659683F ),
	VERT( 99.627037F, 551.076233F, -206.659683F ),
	VERT( -202.219254F, 352.115784F, -206.659607F ),
	VERT( -202.219254F, 551.076233F, -206.659607F ),
	VERT( -203.185196F, 352.115784F, 85.689781F ),
	VERT( -203.185196F, 551.076233F, 85.689781F ),
	VERT( -86.285919F, 352.115784F, 194.058289F ),
	VERT( -86.285919F, 551.076233F, 194.058289F ),
	VERT( 218.080627F, 352.115784F, 194.058212F ),
	VERT( 218.080627F, 551.076233F, 194.058212F ),
END


MODEL       model_m_clsn_Mtop[]
START
Points      point_m_clsn_Mtop,
Normal      NULL,
PointNum    14,
Meshset     meshset_m_clsn_Mtop,
Materials   NULL,
MeshsetNum  2,
MatNum      0,
Center       9.190804F, 451.596008F, -6.300697F,
Radius      291.971375F,
END




// MID1

POLYGON     pg3_0_m_clsn_Mmid1[]
START
	5, 0, 3,
	2, 1, 4,
END

POLYGON     pg4_0_m_clsn_Mmid1[]
START
	1, 2, 0, 3,
	2, 4, 3, 5,
	4, 1, 5, 0,
END

MESHSET     meshset_m_clsn_Mmid1[]
START

MESHSTART
TypeMatId ( 0x0000, 0 ),
MeshNum     2,
Meshes      pg3_0_m_clsn_Mmid1,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

MESHSTART
TypeMatId ( 0x4000, 0 ),
MeshNum     3,
Meshes      pg4_0_m_clsn_Mmid1,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

END

POINT       point_m_clsn_Mmid1[]
START
	VERT( -79.825340F, 355.946411F, 188.694885F ),
	VERT( -116.012810F, 245.523560F, 224.736084F ),
	VERT( 244.728027F, 252.623901F, 223.246307F ),
	VERT( 215.092224F, 351.225372F, 191.941833F ),
	VERT( 243.694580F, 248.323013F, -131.138931F ),
	VERT( 212.880829F, 354.464539F, -100.034988F ),
END


MODEL       model_m_clsn_Mmid1[]
START
Points      point_m_clsn_Mmid1,
Normal      NULL,
PointNum    6,
Meshset     meshset_m_clsn_Mmid1,
Materials   NULL,
MeshsetNum  2,
MatNum      0,
Center      64.357605F, 300.734985F, 46.798576F,
Radius      253.367798F,
END


// MID 2

POLYGON     pg3_0_m_clsn_Mmid2[]
START
	5, 0, 3,
	2, 1, 4,
END

POLYGON     pg4_0_m_clsn_Mmid2[]
START
	1, 2, 0, 3,
	2, 4, 3, 5,
	4, 1, 5, 0,
END

MESHSET     meshset_m_clsn_Mmid2[]
START

MESHSTART
TypeMatId ( 0x0000, 0 ),
MeshNum     2,
Meshes      pg3_0_m_clsn_Mmid2,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

MESHSTART
TypeMatId ( 0x4000, 0 ),
MeshNum     3,
Meshes      pg4_0_m_clsn_Mmid2,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

END

POINT       point_m_clsn_Mmid2[]
START
	VERT( 91.139099F, 355.946411F, -201.296387F ),
	VERT( 127.326584F, 245.523560F, -237.337585F ),
	VERT( -233.414261F, 252.623901F, -235.847748F ),
	VERT( -203.778442F, 351.225372F, -204.543274F ),
	VERT( -232.380768F, 248.323013F, 118.537537F ),
	VERT( -201.567017F, 354.464539F, 87.433533F ),
END


MODEL       model_m_clsn_Mmid2[]
START
Points      point_m_clsn_Mmid2,
Normal      NULL,
PointNum    6,
Meshset     meshset_m_clsn_Mmid2,
Materials   NULL,
MeshsetNum  2,
MatNum      0,
Center      -53.043839F, 300.734985F, -59.400024F,
Radius      253.367844F,
END


// BASE 2


POLYGON     pg3_0_m_clsn_Mbase2[]
START
	5, 0, 3,
	2, 1, 4,
END

POLYGON     pg4_0_m_clsn_Mbase2[]
START
	1, 2, 0, 3,
	2, 4, 3, 5,
	4, 1, 5, 0,
END

MESHSET     meshset_m_clsn_Mbase2[]
START

MESHSTART
TypeMatId ( 0x0000, 0 ),
MeshNum     2,
Meshes      pg3_0_m_clsn_Mbase2,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

MESHSTART
TypeMatId ( 0x4000, 0 ),
MeshNum     3,
Meshes      pg4_0_m_clsn_Mbase2,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

END

POINT       point_m_clsn_Mbase2[]
START
	VERT( 123.950378F, 244.229477F, -236.072235F ),
	VERT( 327.432190F,  2.561829F, -436.208130F ),
	VERT( -429.729736F,  2.561874F, -435.563110F ),
	VERT( -238.037292F, 246.891541F, -231.419891F ),
	VERT( -429.483246F,  2.561935F, 317.308044F ),
	VERT( -232.632782F, 252.044739F, 120.600723F ),
END

MODEL       model_m_clsn_Mbase2[]
START
Points      point_m_clsn_Mbase2,
Normal      NULL,
PointNum    6,
Meshset     meshset_m_clsn_Mbase2,
Materials   NULL,
MeshsetNum  2,
MatNum      0,
Center      -51.148773F, 127.303284F, -59.450043F,
Radius      534.106934F,
END






// BASE 1

POLYGON     pg3_0_m_clsn_Mbase1[]
START
	5, 0, 3,
	2, 1, 4,
END

POLYGON     pg4_0_m_clsn_Mbase1[]
START
	1, 2, 0, 3,
	2, 4, 3, 5,
	4, 1, 5, 0,
END

MESHSET     meshset_m_clsn_Mbase1[]
START

MESHSTART
TypeMatId ( 0x0000, 0 ),
MeshNum     2,
Meshes      pg3_0_m_clsn_Mbase1,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

MESHSTART
TypeMatId ( 0x4000, 0 ),
MeshNum     3,
Meshes      pg4_0_m_clsn_Mbase1,
PolyAttrs   NULL,
PolyNormal  NULL,
VertColor   NULL,
VertUV      NULL,
MESHEND

END

POINT       point_m_clsn_Mbase1[]
START
	VERT( -111.349045F, 244.229477F, 220.950455F ),
	VERT( -314.830872F,  2.561829F, 421.086304F ),
	VERT( 444.851318F,  2.561874F, 417.921112F ),
	VERT( 250.638657F, 246.891541F, 216.298187F ),
	VERT( 442.084717F,  2.561935F, -332.429779F ),
	VERT( 245.234192F, 252.044739F, -135.722412F ),
END


MODEL       model_m_clsn_Mbase1[]
START
Points      point_m_clsn_Mbase1,
Normal      NULL,
PointNum    6,
Meshset     meshset_m_clsn_Mbase1,
Materials   NULL,
MeshsetNum  2,
MatNum      0,
Center      65.010223F, 127.303284F, 44.328262F,
Radius      535.000793F,
END
